# ChatState enum

Inheritance
  - Object
  - Enum
  - ChatState
Implemented types
  - StanzaHandlerExtension

## Constructors

ChatState ()
  const
ChatState.fromName (String state)
  factory

## Values

active → const ChatState
composing → const ChatState
paused → const ChatState
inactive → const ChatState
gone → const ChatState

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
index → int
  A numeric identifier for the enumerated value.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toName () → String
toString () → String
  A string representation of this object.
  inherited
toXML () → XMLNode

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List <ChatState>
  A constant List of the values in this enum, in order of their declaration.
  `[active, composing, paused, inactive, gone]`